# Get loan future balances

Endpoint: GET /people/{personId}/loans/{loanId}/future-balances
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

## Query parameters:

  - `isRounded` (boolean)
    If true, balances will be rounded to the closes 1 cent.

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)
    The projected loan balances as of the time of inquiry.

  - `data.isLocked` (boolean)
    If true, the loan is in the middle of being updated or replayed. The returned data are not consistent. The caller should poll
on the `Get loan lock status` endpoint. Once `isLocked`` becomes `false`, the caller should call this endpoint again to get consistent data.

  - `data.expectedTotalAmount` (number)
    The total amount the borrower is projected to pay under the assumption of continued on-time payments.

  - `data.projectedPayoffDate` (string)
    Date for when the loan is expected to be paid off, assuming current balances and expected payments or autopays.

  - `data.projectedTotalDueBalanceTenDays` (number)
    This is the projected loan total due balance in 10 calendar days from today. The difference between today's
`outstandingTotalBalance` and the estimate in 10 days is only the interest that would accrue on the loan.

